#!/bin/bash
#

KOTS_UI=$(kubectl get namespace | grep aif-core | cut -d " " -f 1)

if [ "${KOTS_UI}" = "aif-core" ];
then
  echo "[INFO]: Detected an existing kots installation. Ignoring namespace creation.."
else
  echo "[INFO]: Creating namespace for kots installation."
  kubectl create ns aif-core
fi

POST_PROVISION_SERVICE_ROLE_BINDING=$(kubectl get clusterrolebinding provision-admin-aif-core | grep provision-admin-aif-core)

if [ "${POST_PROVISION_SERVICE_ROLE_BINDING}" != '' ];
then
  #Delete clusterrolebinding
  echo "[INFO]: Deleting provision-admin clusterrolebinding"
  kubectl delete  clusterrolebinding provision-admin-aif-core
fi

echo "[INFO]: Installing Kots Admin UI"

curl https://kots.io/install | bash

if [ "${OS_PLATFORM}" == "rhel" ]
then
  mv /usr/local/bin/kubectl-kots /usr/bin/kubectl-kots
fi

kubectl create -n aif-core serviceaccount provision

kubectl create -n aif-core clusterrolebinding provision-admin-aif-core --clusterrole=cluster-admin --serviceaccount=aif-core:provision