#!/bin/bash

#Check if kubectl is installed
KUBECTL_VERSION=$( kubectl version --client -o json | grep gitVersion )

if [ "${KUBECTL_VERSION}" = "" ];
then
  #Install kubectl
  k8sversion=v1.16.4

  echo "[INFO]: Installing kubectl $k8sversion"

  curl -LO https://storage.googleapis.com/kubernetes-release/release/$k8sversion/bin/linux/amd64/kubectl
  chmod +x ./kubectl
  if [ "${OS_PLATFORM}" == "rhel" ]
  then
    mv ./kubectl /usr/bin/kubectl
  else
    mv ./kubectl /usr/local/bin/kubectl
  fi

  echo "[INFO]: kubectl installed successfully"
else
  echo "[INFO]: Kubectl $KUBECTL_VERSION already installed. Skipping kubectl installation"
fi
