#!/bin/bash

# count number of available processor
CPU_COUNT=$(grep -c processor /proc/cpuinfo)
if [[ -z $CPU_COUNT ]]; then
    echo "[ERROR] Fetching system cpu info failed."
    exit 1
fi

# Stop installation if cpu count is less the 6
if [[ $CPU_COUNT -lt 6 ]]; then
    echo "[ERROR] Device with cpu $CPU_COUNT is less than minimum required cores i.e 6"
    exit 1
fi

if [[ $CPU_COUNT -ge 6 && $CPU_COUNT -lt 8 ]]; then
    echo "[Warning] Device with cpu $CPU_COUNT is less than recommended cores i.e 8"
else
    echo "[INFO] Device available with cores $CPU_COUNT"
fi
