#!/bin/bash

if [ "${GPU_DRIVER_INSTALLED}" = true ];
then

  echo "[INFO]: GPU driver validation started"

  nvidia_driver_installed=$(nvidia-smi | grep NVIDIA-SMI)

  if [ "${nvidia_driver_installed}" = '' ];
  then
    echo "[ERROR]: Nvidia driver is not installed properly. Exiting.."
    exit 1;
  fi

  # Check if the nvidia-container-runtime file exists
  if [[ ! -f '/usr/bin/nvidia-container-runtime' ]];
  then
    echo "[ERROR]: Nvidia container runtime is not installed properly. Exiting.."
    exit 1;
  fi

else
	echo "[INFO]: GPU driver not installed. Skipping.."
fi

echo "[INFO]: GPU driver validation completed"