#!/bin/bash

validate_response() {
    response=$2

    if [ -z "$response" ];
    then
      echo "No response received from server for $1. Exiting !!!"
      exit 1
    else
      resp_code=$(echo "$response" | grep HTTP | awk '{print $2}')

      if [ "${resp_code}" = "200" ];
      then
        echo "Successfully received response from $1 response: $response"
      else
        echo "Unknown error occurred for $1. Response received: $response \n Exiting !!!"
        exit 1
      fi
    fi
}

curl_output=$(curl -Is https://k8s.kurl.sh/ | head -1)
validate_response "k8s.kurl.sh" "$curl_output"

curl_output=$(curl -Is https://hub.docker.com | head -1)
validate_response "hub.docker.com" "$curl_output"

curl_output=$(curl -Is https://github.com | head -1)
validate_response "github.com" "$curl_output"

curl_output=$(curl -Is https://get.replicated.com/stable | head -1)
validate_response "get.replicated.com" "$curl_output"

curl_output=$(curl -Is https://replicated.app | head -1)
validate_response "replicated.app" "$curl_output"

curl_output=$(curl -Is https://pypi.org/ | head -1)
validate_response "pypi repo" "$curl_output"