#!/bin/bash
source ${CONFIG_FILE_PATH};

clean_up_variable() {
    # replace \ with \\
    TEMP_VAR=$2
    export TEMP_VAR=${TEMP_VAR//'\'/'\\'}
    # replcae / with \/
    export TEMP_VAR=${TEMP_VAR//'/'/'\/'}
    # replace & with \&
    export TEMP_VAR=${TEMP_VAR//&/\\&}
    export $1=$TEMP_VAR
}

clean_up_variable SQL_HOST $SQL_HOST
clean_up_variable SQL_USER $SQL_USER
clean_up_variable SQL_PASS $SQL_PASS
clean_up_variable JWT_TOKEN $JWT_TOKEN
clean_up_variable DTR_REGISTRY_HOST $DTR_REGISTRY_HOST
clean_up_variable DTR_REGISTRY_PASSWORD $DTR_REGISTRY_PASSWORD
clean_up_variable DTR_REGISTRY_USERNAME $DTR_REGISTRY_USERNAME
clean_up_variable ARTIFACTORY_REGISTRY_HOSTNAME $ARTIFACTORY_REGISTRY_HOSTNAME
clean_up_variable ARTIFACTORY_REGISTRY_PASSWORD $ARTIFACTORY_REGISTRY_PASSWORD
clean_up_variable ARTIFACTORY_REGISTRY_USERNAME $ARTIFACTORY_REGISTRY_USERNAME

sed "s/AI_APPMANAGER_DBNAME_VAR/${AI_APPMANAGER_DBNAME}/g" ../common/common-config.yaml > config-temp.yaml
sed -i "s/AI_DEPLOYER_DBNAME_VAR/${AI_DEPLOYER_DBNAME}/g" config-temp.yaml
sed -i "s/AI_HELPER_DBNAME_VAR/${AI_HELPER_DBNAME}/g" config-temp.yaml
sed -i "s/AI_PKGMANAGER_DBNAME_VAR/${AI_PKGMANAGER_DBNAME}/g" config-temp.yaml
sed -i "s/AI_TRAINER_DBNAME_VAR/${AI_TRAINER_DBNAME}/g" config-temp.yaml
sed -i "s/AIFABRIC_DBNAME_VAR/${AIFABRIC_DBNAME}/g" config-temp.yaml
sed -i "s/DBNAME_ENABLE_VAR/${DBNAME_ENABLE}/g" config-temp.yaml
sed -i "s/FEATURE_MANAGEMENT_VAR/${FEATURE_MANAGEMENT}/g" config-temp.yaml
sed -i "s/JWT_TOKEN_VAR/${JWT_TOKEN}/g" config-temp.yaml
sed -i "s/IDENTITY_ENDPOINT_VAR/${IDENTITY_ENDPOINT}/g" config-temp.yaml
sed -i "s/INGRESS_ENDPOINT_VAR/${INGRESS_ENDPOINT}/g" config-temp.yaml
sed -i "s/ORCH_ENDPOINT_POINT_VAR/${ORCH_ENDPOINT_POINT}/g" config-temp.yaml
sed -i "s/SQL_HOST_VAR/${SQL_HOST}/g" config-temp.yaml
sed -i "s/SQL_USER_VAR/${SQL_USER}/g" config-temp.yaml
sed -i "s/PLATFORM_TYPE_VAR/${PLATFORM}/g" config-temp.yaml
sed -i "s/DB_TYPE_VAR/${DB_TYPE}/g" config-temp.yaml
sed -i "s/AIAPP_PORT_VAR/${AIAPP_PORT}/g" config-temp.yaml
sed -i "s/CEPH_PORT_VAR/${CEPH_PORT}/g" config-temp.yaml
sed -i "s/DTR_REGISTRY_TYPE_VAR/${DTR_REGISTRY_TYPE}/g" config-temp.yaml
sed -i "s/ARTIFACTORY_REGISTRY_HOSTNAME_VAR/${ARTIFACTORY_REGISTRY_HOSTNAME}/g" config-temp.yaml
sed -i "s/ARTIFACTORY_REGISTRY_USERNAME_VAR/${ARTIFACTORY_REGISTRY_USERNAME}/g" config-temp.yaml
sed -i "s/DTR_REGISTRY_HOST_VAR/${DTR_REGISTRY_HOST}/g" config-temp.yaml
sed -i "s/DTR_REGISTRY_NAMESPACE_VAR/${DTR_REGISTRY_NAMESPACE}/g" config-temp.yaml
sed -i "s/DTR_REGISTRY_USERNAME_VAR/${DTR_REGISTRY_USERNAME}/g" config-temp.yaml
sed -i "s/EFK_STATUS_VAR/${EFK_STATUS}/g" config-temp.yaml
sed -i "s/SQL_PASS_VAR/${SQL_PASS}/g" config-temp.yaml
sed -i "s/DTR_REGISTRY_PASSWORD_VAR/${DTR_REGISTRY_PASSWORD}/g" config-temp.yaml
sed -i "s/ARTIFACTORY_REGISTRY_PASSWORD_VAR/${ARTIFACTORY_REGISTRY_PASSWORD}/g" config-temp.yaml
if [ -f "${TLS_CERTIFICATE_FILE_PATH}" ];
then
    TLS_CERTIFICATE_BASE64=$(base64 -w 0 ${TLS_CERTIFICATE_FILE_PATH})
    sed -i "s#TLS_CERTIFICATE_FILE_PATH_VAR#${TLS_CERTIFICATE_BASE64}#g" config-temp.yaml
fi
if [ -f "${TLS_CERTIFICATE_PRIVATEKEY_FILE_PATH}" ];
then
    TLS_CERTIFICATE_PRIVATEKEY_BASE64=$(base64 -w 0 ${TLS_CERTIFICATE_PRIVATEKEY_FILE_PATH})
    sed -i "s#TLS_CERTIFICATE_PRIVATEKEY_FILE_PATH_VAR#${TLS_CERTIFICATE_PRIVATEKEY_BASE64}#g" config-temp.yaml
fi
