#!/bin/bash
source ${CONFIG_FILE_PATH};

clean_up_variable() {
    # replace \ with \\
    TEMP_VAR=$2
    export TEMP_VAR=${TEMP_VAR//'\'/'\\'}
    # replcae / with \/
    export TEMP_VAR=${TEMP_VAR//'/'/'\/'}
    # replace & with \&
    export TEMP_VAR=${TEMP_VAR//&/\\&}
    export $1=$TEMP_VAR
}

clean_up_variable SQL_HOST $SQL_HOST
clean_up_variable SQL_USER $SQL_USER
clean_up_variable SQL_PASS $SQL_PASS
clean_up_variable JWT_TOKEN $JWT_TOKEN

sed "s/AI_APPMANAGER_DBNAME_VAR/${AI_APPMANAGER_DBNAME}/g" ../common/common-config.yaml > config-temp.yaml
sed -i "s/AI_DEPLOYER_DBNAME_VAR/${AI_DEPLOYER_DBNAME}/g" config-temp.yaml
sed -i "s/AI_HELPER_DBNAME_VAR/${AI_HELPER_DBNAME}/g" config-temp.yaml
sed -i "s/AI_PKGMANAGER_DBNAME_VAR/${AI_PKGMANAGER_DBNAME}/g" config-temp.yaml
sed -i "s/AI_TRAINER_DBNAME_VAR/${AI_TRAINER_DBNAME}/g" config-temp.yaml
sed -i "s/AIFABRIC_DBNAME_VAR/${AIFABRIC_DBNAME}/g" config-temp.yaml
sed -i "s/DBNAME_ENABLE_VAR/${DBNAME_ENABLE}/g" config-temp.yaml
sed -i "s/FEATURE_MANAGEMENT_VAR/${FEATURE_MANAGEMENT}/g" config-temp.yaml
sed -i "s/JWT_TOKEN_VAR/${JWT_TOKEN}/g" config-temp.yaml
sed -i "s/IDENTITY_ENDPOINT_VAR/${IDENTITY_ENDPOINT}/g" config-temp.yaml
sed -i "s/INGRESS_ENDPOINT_VAR/${INGRESS_ENDPOINT}/g" config-temp.yaml
sed -i "s/ORCH_ENDPOINT_POINT_VAR/${ORCH_ENDPOINT_POINT}/g" config-temp.yaml
sed -i "s/SQL_HOST_VAR/${SQL_HOST}/g" config-temp.yaml
sed -i "s/SQL_USER_VAR/${SQL_USER}/g" config-temp.yaml
sed -i "s/SQL_PASS_VAR/${SQL_PASS}/g" config-temp.yaml
sed -i "s/PLATFORM_TYPE_VAR/${PLATFORM}/g" config-temp.yaml
sed -i "s/DB_TYPE_VAR/${DB_TYPE}/g" config-temp.yaml
sed -i "s/ORCHESTRATOR_CERT_ENABLED_VAR/${ORCHESTRATOR_CERT_ENABLED}/g" config-temp.yaml
sed -i "s/ORCHESTRATOR_CERT_VAR/${ORCHESTRATOR_CERT}/g" config-temp.yaml
sed -i "s/IDENTITYSERVER_CERT_ENABLED_VAR/${IDENTITYSERVER_CERT_ENABLED}/g" config-temp.yaml
sed -i "s/IDENTITYSERVER_CERT_VAR/${IDENTITYSERVER_CERT}/g" config-temp.yaml