#!/bin/bash

#execute function
execute() {
  bash $1
  if [ $? -ne 0 ];
  then
    echo "[ERROR]: Service Installation Failed. Exiting !!!"
    exit 1
  fi
}

install_service() {
  # Total steps
  total_steps=2
  current_step=1

  echo "<----------- Total steps: ${total_steps} Current step: ${current_step}  Estimated time: 2s ----------->"
  execute prepare-config.sh
  echo "Config prepared Successfully!"
  current_step=$(( current_step + 1 ))

  echo "<----------- Total steps: ${total_steps} Current step: ${current_step}  Estimated time: 2s ----------->"
  KOTSPW=$(openssl rand -hex 10)
  export PATH=$PATH:/usr/local/bin/

  if [[ "${IS_AIRGAP}" = "true" ]];
  then
    REGISTRY_HOST=`kubectl get service/registry -n kurl -o jsonpath='{.spec.clusterIP}'`
    REGISTRY_CREDENTIALS_PULL=`kubectl get secret -n default registry-creds -o jsonpath='{.data.\.dockerconfigjson}'`
    REGISTRY_USERNAME=`echo $REGISTRY_CREDENTIALS_PULL | base64 -d | jq ".auths[""\"$REGISTRY_HOST\"""].username"`
    REGISTRY_PASSWORD=`echo $REGISTRY_CREDENTIALS_PULL | base64 -d | jq ".auths[""\"$REGISTRY_HOST\"""].password"`
    REGISTRY_USERNAME=`echo -n $REGISTRY_USERNAME | tr -d '"'`
    REGISTRY_PASSWORD=`echo -n $REGISTRY_PASSWORD | tr -d '"'`

    kubectl kots install aif-core --shared-password $KOTSPW --license-file ${LICENSE_FILE_PATH} --config-values ./config-temp.yaml --namespace default --port-forward=false \
        --airgap-bundle $BUNDLE_LOCATION \
        --kotsadm-registry $REGISTRY_HOST \
        --kotsadm-namespace aif-core \
        --registry-username $REGISTRY_USERNAME \
        --registry-password $REGISTRY_PASSWORD

  else
    kubectl kots install aif-core --shared-password $KOTSPW --license-file ${LICENSE_FILE_PATH} --config-values ./config-temp.yaml --namespace default --port-forward=false
  fi
  current_step=$(( current_step + 1 ))
}

if [ "${SILENT_INSTALL_ENABLE}" == true ];
then
  echo "[INFO] Start provisioning service ..."
  install_service;
  echo "[INFO] Service provision completed ..."
fi

