#!/bin/bash

#Download client bundle
echo $OS_PLATFORM
if [ "${OS_PLATFORM}" == "rhel" ]
then
  echo "Installing dependencies for RHEL"
  sudo yum install wget -y
  wget -O jq https://github.com/stedolan/jq/releases/download/jq-1.6/jq-linux64
  chmod +x ./jq
  mv jq /usr/bin
  sudo yum install unzip -y
else
  sudo apt-get install jq unzip -y
fi

AUTHTOKEN=$(curl -sk -d '{"username":"'$UCP_USERNAME'","password":"'$UCP_PASSWORD'"}' https://$UCP_HOST/auth/login | jq -r .auth_token)

curl -k -H "Authorization: Bearer $AUTHTOKEN" https://$UCP_HOST/api/clientbundle -o ucp_bundle.zip

echo "[INFO]: Client bundle downloaded"

if [ -f ucp_bundle.zip ];
then
  echo "[INFO]: UCP Client bundle exists. Going to use this to set kubectl"
else
  echo "[ERROR]: UCP Client bundle not present. Exiting.."
  exit 1
fi

#Extract client bundle
echo "[INFO]: Unzipping client bundle"

unzip -qq ucp_bundle.zip -d ucp_bundle

echo "[INFO]: Client bundle unzipped successfully to ucp_bundle"
