#!/bin/bash

prepare_onebox_env() {
  #Check if kubectl is installed
  KUBECTL_VERSION=$( command -v kubectl )
  if [ ! -z "${KUBECTL_VERSION}" ];
  then
    echo "[INFO]: Found Kubectl $KUBECTL_VERSION"
    FILE=/etc/kubernetes/admin.conf
    if [ -f "${FILE}" ];
    then
      echo "[INFO]: Found config file ${FILE}. Start exporting and preparing env to run kube command."
      sudo chmod +r $FILE
      export KUBECONFIG=$FILE
    fi
  fi
}

if [ "${PLATFORM}" = 'onebox' ];
then
  prepare_onebox_env;
fi